Name:           ocaml-pgocaml
Version:        1.7.1
Release:        %mkrel 4
Summary:        OCaml library for type-safe access to PostgreSQL databases
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            http://pgocaml.forge.ocamlcore.org/
Source0:        http://forge.ocamlcore.org/frs/download.php/1098/pgocaml-%{version}.tgz

BuildRequires:  ocaml-compiler >= 3.10.0
BuildRequires:  postgresql-devel
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-batteries-devel
BuildRequires:  pcre-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  ocaml-calendar-devel >= 2.0.4
BuildRequires:  ocaml-csv-devel
BuildRequires:  camlp4
Requires:  ocaml-pcre
Requires:  ocaml-batteries
Requires:  ocaml-calendar
Requires:  ocaml-csv

%description
PG'OCaml is a type-safe, simple interface to PostgreSQL from OCaml.
It lets you embed SQL statements directly into OCaml code.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
# Compilation with findlib fails if these are not installed
Requires:       ocaml-pcre-devel
Requires:       ocaml-batteries-devel
Requires:       ocaml-calendar-devel
Requires:       ocaml-csv-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n pgocaml-1.7

%build
ocaml setup.ml -configure \
      --prefix %{_prefix} \
      --destdir %{buildroot} \
      --docdir %{_docdir}/ocaml-pgocaml

ocaml setup.ml -build
ocaml setup.ml -doc
mv doc/* ./
mv APIDOC.docdir html

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
ocaml setup.ml -install

%files
%doc LICENSE.txt CONTRIBUTORS.txt
%dir %{_libdir}/ocaml/pgocaml
%{_libdir}/ocaml/pgocaml/META
%{_libdir}/ocaml/pgocaml/*.cmi
%{_libdir}/ocaml/pgocaml/*.cma
%{_libdir}/ocaml/pgocaml/*.cmxs

%files devel
%doc README.txt CHANGELOG.txt PROFILING.txt BUGS.txt HOW_IT_WORKS.txt
%dir %{_docdir}/ocaml-pgocaml/api
%{_libdir}/ocaml/pgocaml/*.a
%{_libdir}/ocaml/pgocaml/*.ml
%{_libdir}/ocaml/pgocaml/*.cmxa
%{_libdir}/ocaml/pgocaml/*.cmx
%{_libdir}/ocaml/pgocaml/*.mli


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.7.1-4.mga4
+ Revision: 542174
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 malo <malo> 1.7.1-3.mga4
+ Revision: 497050
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 1.7.1-2.mga3
+ Revision: 361564
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 malo <malo> 1.7.1-1.mga3
+ Revision: 344761
- bug-fix release 1.7.1

* Wed Jan 09 2013 malo <malo> 1.7-1.mga3
+ Revision: 343934
- new version 1.7

* Sat Dec 01 2012 fwang <fwang> 1.6-4.mga3
+ Revision: 323955
- rebuild for new pcre

* Fri Nov 30 2012 malo <malo> 1.6-3.mga3
+ Revision: 323500
- rebuild for new ocaml
- change BuildRequires to ocaml-compiler

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.6-2.mga3
+ Revision: 301677
- new rpm group for ocaml

* Sat Jul 07 2012 malo <malo> 1.6-1.mga3
+ Revision: 268654
- update to version 1.6

* Sun Apr 22 2012 malo <malo> 1.4-2.mga2
+ Revision: 232731
- add missing requires

* Fri Mar 23 2012 blue_prawn <blue_prawn> 1.4-1.mga2
+ Revision: 225865
- imported from Mandriva


* Sat Feb 11 2012 Oden Eriksson <oeriksson@mandriva.com>
+ Revision: 773016
- relink against libpcre.so.1

* Wed Mar 17 2010 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 522808
- update to new version 1.4

* Mon Sep 14 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 440739
- rebuild

* Thu Sep 10 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 437545
- update to new version classic-1.3

* Fri Jul 31 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 405257
- corrected build

* Fri Jul 31 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 405211
- updated version

* Fri Jul 31 2009 Funda Wang <fwang@mandriva.org>
+ Revision: 405044
- rebuild for new ocaml

* Wed Feb 04 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 337548
- requisites

* Tue Feb 03 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 337083
- The initial RPM release was made from the fedora rpm .spec file (revision 1.6) by Richard W.M. Jones

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 326205
- findlib package name

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 325527
- import ocaml-pgocaml

